%define upstream_name    Crypt-Random-Source
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    Base class for random devices
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Any::Moose)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Errno)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moo)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(bytes)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(ok)
BuildArch: noarch

%{?perl_default_filter}

%description
This module provides implementations for a number of byte oriented sources
of random data.

See the Crypt::Random::Source::Factory manpage for a more powerful way to
locate sources, and the various sources for specific implementations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENCE
%{_mandir}/man3/*
%perl_vendorlib/Crypt


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.140.0-5.mga10
+ Revision: 2208371
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.140.0-4.mga9
+ Revision: 1818764
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-3.mga8
+ Revision: 1503639
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-2.mga7
+ Revision: 1282572
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 guillomovitch <guillomovitch> 0.140.0-1.mga7
+ Revision: 1217550
- new version 0.14

* Mon Apr 09 2018 guillomovitch <guillomovitch> 0.130.0-1.mga7
+ Revision: 1216440
- new version 0.13

* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-2.mga6
+ Revision: 1024591
- Rebuild for perl 5.22.2

* Fri Mar 11 2016 guillomovitch <guillomovitch> 0.120.0-1.mga6
+ Revision: 989278
- new version 0.12

* Fri Jan 01 2016 guillomovitch <guillomovitch> 0.110.0-1.mga6
+ Revision: 917701
- new version 0.11

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 744913
- Second Mageia 5 Mass Rebuild

* Sun Oct 05 2014 tv <tv> 0.100.0-3.mga5
+ Revision: 736994
- BR perl(Class::Load)
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 684062
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 sander85 <sander85> 0.100.0-1.mga5
+ Revision: 670610
- update to 0.10

* Sun Aug 31 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 669951
- update to 0.09

* Tue Aug 05 2014 guillomovitch <guillomovitch> 0.80.0-1.mga5
+ Revision: 659962
- new version 0.08

* Tue Jul 29 2014 guillomovitch <guillomovitch> 0.70.0-1.mga5
+ Revision: 658016
- imported package perl-Crypt-Random-Source


* Tue Jul 29 2014 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
